From: "Rick Farina" <zerochaos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/gqrx/
Date: Mon, 8 Aug 2022 00:39:16 +0000 (UTC) [thread overview]
Message-ID: <1659918939.562f6bacd563335adf416284194d8d9100965ced.zerochaos@gentoo> (raw)
commit: 562f6bacd563335adf416284194d8d9100965ced
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Sun Aug 7 16:54:22 2022 +0000
Commit: Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Mon Aug 8 00:35:39 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=562f6bac
net-wireless/gqrx: add 2.15.9
Closes: https://bugs.gentoo.org/864238
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>
net-wireless/gqrx/Manifest | 1 +
net-wireless/gqrx/gqrx-2.15.9.ebuild | 59 ++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/net-wireless/gqrx/Manifest b/net-wireless/gqrx/Manifest
index be67b15e6787..3215ae23096f 100644
--- a/net-wireless/gqrx/Manifest
+++ b/net-wireless/gqrx/Manifest
@@ -1,2 +1,3 @@
DIST gqrx-2.14.6.tar.gz 1346684 BLAKE2B fd31692ad0dfcb3eaa3ea0ca8a9a26282ae45c290997b016f0a9f7e750969f42b2084619efd342da8c28d608da1cd3477c2c1cb6cc334f9d53f74dbff4e5d0c5 SHA512 d8019a6094da1f6d63eda08b9f22390dd638eb191910d911437e46f40d81087b3c68f3948ccb9060025a91cd1e1d4e1be42d92ccdf8869f5588ac7d428e5489d
DIST gqrx-2.15.8.tar.gz 3608013 BLAKE2B 242ec9fd3c99bf683d030936d14c96170a3432f13059abca3ef7ab1863ca4af0651eb2429c0703a0dd649304edcc1dc6c1fdefb2e8e7a77db1b2bfafc4a15452 SHA512 1c9236b68a3e21e9b6a67e8034652e8a8b369a9c1d41a54bb5f1ba83c398b1b12beb7dae44660e6fb35aa4649d17ea6546d9f1e72766b36eda84390d15022e58
+DIST gqrx-2.15.9.tar.gz 3608134 BLAKE2B 0864e8b33efe12cbc77dc75bf9bb2c5938655e40710a99ff72da2f1bdb43bc4c2f964c1fe4d88136891417c16eed16444d8fad699f80ab8fe164bb18d62d23f6 SHA512 0562f5c962b7fb48e5b5b8d88f15e328bfb08284b36e289e68e77528156452075eb04a0fa530b235c383495bf4008a7c80e78aae88dfcc30da6f4ba619dfd2f3
diff --git a/net-wireless/gqrx/gqrx-2.15.9.ebuild b/net-wireless/gqrx/gqrx-2.15.9.ebuild
new file mode 100644
index 000000000000..23c9c275d130
--- /dev/null
+++ b/net-wireless/gqrx/gqrx-2.15.9.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Software defined radio receiver powered by GNU Radio and Qt"
+HOMEPAGE="https://gqrx.dk/"
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/gqrx-sdr/gqrx.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/gqrx-sdr/gqrx/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~riscv ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="gr-audio portaudio pulseaudio"
+REQUIRED_USE="^^ ( pulseaudio portaudio gr-audio )"
+
+DEPEND="
+ || (
+ <net-wireless/gnuradio-3.10:0[audio,analog,filter]
+ >=net-wireless/gnuradio-3.10:0[audio,analog,filter,network]
+ )
+ >=net-wireless/gr-osmosdr-0.1.0:=
+ dev-libs/boost:=
+ dev-libs/log4cpp:=
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ sci-libs/volk:=
+ pulseaudio? ( media-sound/pulseaudio:= )
+ portaudio? ( media-libs/portaudio:= )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ if use pulseaudio; then
+ LINUX_AUDIO_BACKEND=Pulseaudio
+ elif use portaudio; then
+ LINUX_AUDIO_BACKEND=Portaudio
+ elif use gr-audio; then
+ LINUX_AUDIO_BACKEND=Gr-audio
+ fi
+
+ local mycmakeargs=(
+ "-DLINUX_AUDIO_BACKEND=${LINUX_AUDIO_BACKEND}"
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ dobin "${BUILD_DIR}"/src/gqrx
+}
next reply other threads:[~2022-08-08 0:39 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-08 0:39 Rick Farina [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-22 17:33 [gentoo-commits] repo/gentoo:master commit in: net-wireless/gqrx/ Andreas Sturmlechner
2025-01-08 17:03 Andreas Sturmlechner
2025-01-08 17:03 Andreas Sturmlechner
2023-10-10 1:00 Rick Farina
2023-10-10 1:00 Rick Farina
2023-08-20 18:05 Rick Farina
2023-05-29 13:11 Andreas Sturmlechner
2023-05-29 13:00 Andreas Sturmlechner
2022-12-19 18:56 Rick Farina
2022-12-19 18:56 Rick Farina
2022-08-08 0:39 Rick Farina
2022-08-08 0:39 Rick Farina
2022-08-08 0:39 Rick Farina
2022-04-30 22:01 Marek Szuba
2022-01-28 3:29 Rick Farina
2021-10-07 16:42 Rick Farina
2021-02-17 15:53 Rick Farina
2020-12-18 19:41 Rick Farina
2020-12-17 15:53 Rick Farina
2020-12-04 18:22 Rick Farina
2020-11-25 0:13 Marek Szuba
2020-09-21 19:15 Rick Farina
2020-06-04 9:06 David Seifert
2020-01-27 21:41 Rick Farina
2019-01-11 18:29 Thomas Deutschmann
2018-08-16 20:45 Richard Farina
2018-08-16 20:45 Richard Farina
2018-02-18 17:31 Richard Farina
2017-12-20 2:28 Richard Farina
2017-10-04 9:15 Michał Górny
2017-01-24 22:25 Richard Farina
2017-01-24 21:54 Richard Farina
2016-06-03 2:39 Richard Farina
2016-03-30 20:30 Richard Farina
2016-01-01 10:47 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1659918939.562f6bacd563335adf416284194d8d9100965ced.zerochaos@gentoo \
--to=zerochaos@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox